Data Structures | Typedefs | Functions

# viewport_sprite_sorter.h File Reference

Types related to sprite sorting. More...

`#include "stdafx.h"`
`#include "core/smallvec_type.hpp"`
`#include "gfx_type.h"`

Go to the source code of this file.

## Data Structures
struct | ParentSpriteToDraw
| Parent sprite that should be drawn. More...
## Typedefs
typedef SmallVector < ParentSpriteToDraw *, 64 > | ParentSpriteToSortVector
typedef bool(* | VpSorterChecker )()
| Type for method for checking whether a viewport sprite sorter exists.
typedef void(* | VpSpriteSorter )(ParentSpriteToSortVector *psd)
| Type for the actual viewport sprite sorter.
## Functions
void | InitializeSpriteSorter ()
| Choose the "best" sprite sorter and set _vp_sprite_sorter.

## Detailed Description

Types related to sprite sorting.

Definition in file viewport_sprite_sorter.h.

## Typedef Documentation

typedef bool(* VpSorterChecker)()

Type for method for checking whether a viewport sprite sorter exists.

Definition at line 47 of file viewport_sprite_sorter.h.

typedef void(* VpSpriteSorter)(ParentSpriteToSortVector *psd)

Type for the actual viewport sprite sorter.

Definition at line 49 of file viewport_sprite_sorter.h.

## Function Documentation

void InitializeSpriteSorter | ( |  | ) |

Choose the "best" sprite sorter and set _vp_sprite_sorter.

Definition at line 3003 of file viewport.cpp.

References ViewportSSCSS::fct_sorter, and lengthof.

Referenced by openttd_main().